using System.Text.RegularExpressions;

namespace SkyArtShop.Services;

public class SlugService
{
	public string GenerateSlug(string text)
	{
		if (string.IsNullOrWhiteSpace(text))
		{
			return string.Empty;
		}
		string text2 = text.ToLowerInvariant();
		text2 = text2.Replace(" ", "-");
		text2 = text2.Replace("&", "and");
		text2 = Regex.Replace(text2, "[^a-z0-9\\-]", "");
		text2 = Regex.Replace(text2, "-+", "-");
		return text2.Trim('-');
	}
}
